Bug 86799 - Insert Special Character doesn't work in Find/Find and Replace
Summary: Insert Special Character doesn't work in Find/Find and Replace
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta2
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2014-11-27 19:08 UTC by Bryan Quigley
Modified: 2015-12-17 08:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bibisectlog (1.76 KB, text/plain)
2014-11-28 22:09 UTC, Bryan Quigley
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bryan Quigley 2014-11-27 19:08:31 UTC
1. Open Writer
2. Press Ctrl-F
3. Right click in Find dialog 
4. Press Special Character
warn:legacy.tools:22589:1:sfx2/source/appl/appinit.cxx:189: GetSpecialCharsForEdit() not found!
5.  Note how it never comes up..

I'm on git master from yesterday.

Notes:  I was originally trying to reproduce this bug on master - https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/958955
Comment 1 Adolfo Jayme 2014-11-28 07:58:09 UTC
Thanks for your bug report. Reproduced in 4.4 beta 1.
Comment 2 Bryan Quigley 2014-11-28 22:09:30 UTC
Created attachment 110208 [details]
bibisectlog

I'm going to try to narrow it further by a regular bisect..
Comment 3 Bryan Quigley 2014-11-30 03:39:50 UTC
It's commit http://cgit.freedesktop.org/libreoffice/core/commit/?id=7f7d2213209dd8e23292ec5a85fbab6127824c49

Reverting it makes it work again. Not sure of the implications though...
Comment 4 Commit Notification 2014-12-01 14:08:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8fc14413d9dadede63743ec76603d95eb587f580

Resolves: fdo#86799 fix insert special char in Find/Find and Replace

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-12-01 14:10:16 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e0561053e033b1a2686d2ad7b397b1dae926a1f7&h=libreoffice-4-4

Resolves: fdo#86799 fix insert special char in Find/Find and Replace

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Robinson Tryon (qubit) 2015-12-17 08:40:51 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]